Bug 255786

Summary: missing snapshot ISOs for 13.0 and 14.0 on ftp site
Product: Services Reporter: Mark Linimon <linimon>
Component: FTP/WWW Sites & MirrorsAssignee: Glen Barber <gjb>
Status: Closed Overcome By Events    
Severity: Affects Only Me CC: linimon, marklmi26-fbsd, tech-lists, wb7odyfred
Priority: ---    
Version: unspecified   
Hardware: Any   
OS: Any   
See Also: https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=255898

Description Mark Linimon freebsd_committer freebsd_triage 2021-05-11 13:16:09 UTC
https://download.freebsd.org/ftp/snapshots/ISO-IMAGES/13.0/ is missing:

 * armv7 ISOs

https://download.freebsd.org/ftp/snapshots/ISO-IMAGES/14.0/ is missing:

 * aarch64 ISOs
 * armv7 ISOs

Pointed out by: f451 (tech-lists at zyxst dot net)
Comment 1 Glen Barber freebsd_committer 2021-05-12 13:08:11 UTC
This is partially my fault.  Closing this as OBE, as these should be available this week, modulo build failures.
Comment 2 Fred L. Finster 2021-05-13 03:47:50 UTC
Hello, New User,  Fred Finster.  

I apologize in advance about taging a closed bug.  I thought Glen might point me in the right direction.

 I have a Raspberry Pi 4B with 8 Gigs dram and have booted April 1, 2021 FreeBSD 14.0 Current Snapshot image on my hardware.  Glad it works and thank you for creating snapshots for us mortal users to test drive on our Raspi hardware.

Question,  Is how to setup FreeBSD source code and do the same compile setup as the FreeBSD Foundation creating the snapshot image they share with me.

I am sure the setup must be so dead simple, that I just need to Read the Fine Manual (RTFM) and find the little tidbit information line.  Just duplicate that and everything will automatically build.

aarch64-gcc-elf  TARGET_ARCH=aarm64  etcetera.

Can you share a URL link or chapter 8 in the FreeBSD Handbook, Please?  One that says here use this Makefile,  and this command line,  there you go , "Bobs your Uncle"

I have used crochet.sh (maybe this is a deprecated project ) to build an image
sh crochet.sh -c config.sys   That image did not boot up.   So time to try a different method.

Fred Finster

ps.
Ghostbsd-arm64.blogspot.com   my blog area, where I wrote notes.
Ghostbsd arm port      telegram Group


URLs to share
https://raspberrytips.com/install-freebsd-raspberry-pi/
https://t.me/joinchat/ST6N61pnu3Di8zgk  Ghostbsd Arm Port telegram group
https://youtu.be/WuoMPP_178U  Robonuggie Video on Installing FreeBSD 13.0 on Raspi 3,4 and 400
https://www.youtube.com/watch?v=m6kyOHsvrsg  8 minute quick shot of Installing and setup of FreeBSD 13.0 on the RaspberryPi 400.
https://ghostbsd-arm64.blogspot.com/2021/02/download-freebsd-140-current-version.html?m=1   Download FreeBSD 14.0
Comment 3 Mark Linimon freebsd_committer freebsd_triage 2021-05-13 12:18:23 UTC
(In reply to Fred L. Finster from comment #2)

Hello, glad to have you here.

As you might have guessed, the PR database isn't really the right place for this.  But let me give you a few references to get started:

 * https://wiki.freebsd.org/arm64 is the overview of 64-bit ARM support on FreeBSD.
 * https://wiki.freebsd.org/EmbeddedHandbook may be slightly out of date (and is specific to 32-bit ARM), but the links at the end should get you started.
 * On EFNet on IRC, try #bsdmips (the name is historical, it's really more about "small boards".
 * On the FreeBSD Discord site, there is #embedded.
Comment 4 Mark Millard 2021-05-13 23:15:40 UTC
(In reply to Glen Barber from comment #1)

The original material on the lists by "f451 (tech-lists at zyxst dot net)"
was about (in part?) the microsd card images that have u-boot and
such pre-applied and possibly the GENERICSD ones that have everything
but the the u-boot applied.

(Generally the RPi* ones can have a dd'd U-Boot and such, technically
making a dual-boot media. The RPi* ones tend to be like GENERICSD but
just with the extra files in the msdos file system that required for
some RPi*'s. This might allow cutting the number of variations a
little.)

Some are still not present for 20210513 snapshots for
some contexts, including for GENERICSD that does not
involve U-Boot or RPi* firmware:

o 14.0-CURRENT amd64 GENERIC
o 14.0-CURRENT i386 GENERIC
o 14.0-CURRENT powerpc GENERIC
o 14.0-CURRENT powerpc64 GENERIC64
o 14.0-CURRENT powerpc64le GENERIC64LE
o 14.0-CURRENT powerpcspe MPC85XXSPE
o 14.0-CURRENT aarch64 GENERIC
o 14.0-CURRENT riscv64 GENERIC
o 14.0-CURRENT riscv64 GENERICSD

o 13.0-STABLE amd64 GENERIC
o 13.0-STABLE i386 GENERIC
o 13.0-STABLE powerpc GENERIC
o 13.0-STABLE powerpc64 GENERIC64
o 13.0-STABLE powerpc64le GENERIC64LE
o 13.0-STABLE powerpcspe MPC85XXSPE
o 13.0-STABLE aarch64 GENERIC
o 13.0-STABLE riscv64 GENERIC
o 13.0-STABLE riscv64 GENERICSD

o 12.2-STABLE amd64 GENERIC
o 12.2-STABLE i386 GENERIC
o 12.2-STABLE powerpc GENERIC
o 12.2-STABLE powerpc64 GENERIC64
o 12.2-STABLE powerpcspe MPC85XXSPE
o 12.2-STABLE sparc64 GENERIC
o 12.2-STABLE armv7 GENERICSD
o 12.2-STABLE aarch64 GENERIC
Comment 5 tech-lists 2021-05-15 13:11:08 UTC
This should have not been closed IMO as the issue was neither fixed at the time 
nor overcome by events subsequently. 
For 13th May:

https://download.freebsd.org/ftp/snapshots/ISO-IMAGES/11.4 is missing:

aarch64 isos for rpi3

https://download.freebsd.org/ftp/snapshots/ISO-IMAGES/12.2/ is missing:

named images for arm6,7 and aarch64 like this, and not exclusively:

12.2-STABLE armv6 RPI-B
12.2-STABLE armv7 BANANAPI
12.2-STABLE armv7 BEAGLEBONE
12.2-STABLE armv7 CUBIEBOARD
12.2-STABLE armv7 CUBIEBOARD2
[...]

https://download.freebsd.org/ftp/snapshots/ISO-IMAGES/13.0/ is missing:

arm 6,7 isos and the only aarch64 is GENERIC

same goes for https://download.freebsd.org/ftp/snapshots/ISO-IMAGES/14.0/

Also, is the only-GENERIC for 13.0/14 deliberate? There has been no announcement about it in 
freebsd-snapshot@ freebsd-announce@ or freebsd-arm@
Comment 6 tech-lists 2021-05-15 13:13:39 UTC
I have created https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=255898 as I cannot reopen this ticket